# $Revision: 1.37 $, $Date: 2005/01/03 17:41:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tree
%define		pnam	DAG_Node
Summary:	Tree::DAG_Node - (super)class for representing nodes in a tree
Summary(pl):	Tree::DAG_Node - (nad)klasa do reprezentowania wzw w drzewie
Name:		perl-Tree-DAG_Node
Version:	1.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6956aa477dae75fbb5e7caab83c43d0a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class encapsulates/makes/manipulates objects that represent nodes
in a tree structure. The tree structure is not an object itself, but
is emergent from the linkages you create between nodes. This class
provides the methods for making linkages that can be used to build up
a tree, while preventing you from ever making any kinds of linkages
which are not allowed in a tree (such as having a node be its own
mother or ancestor, or having a node have two mothers).

%description -l pl
Ta klasa obudowuje, tworzy i obrabia obiekty, ktre reprezentuj wzy
w strukturze drzewiastej. Struktura drzewiasta jako taka nie jest
obiektem, ale wyania si z pocze tworzonych pomidzy wzami. Ta
klasa udostpnia metody do tworzenia pocze, ktre mog by uywane
do zbudowania drzewa, nie dopuszczajc na zrobienie pocze nie
dozwolonych w drzewie (takich jak poczenie wza z jego przodkiem,
lub nadanie wzowi dwch przodkw).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Tree/DAG_Node.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tree-DAG_Node.spec,v $
Revision 1.37  2005/01/03 17:41:54  adamg
- updated to 1.05

Revision 1.36  2004/11/03 22:30:52  paladine
- formatting

Revision 1.35  2004/05/07 00:41:49  ankry
- rel. 9

Revision 1.34  2004/05/06 18:21:26  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/02 23:05:26  ankry
- fixed license, cosmetics

Revision 1.32  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:25:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:38  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:39:05  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.23  2002/08/11 19:36:52  radek
- release up

Revision 1.22  2002/08/11 19:32:58  radek
- (automatic) provided informative description

Revision 1.21  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:35:20  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:21:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:37:15  depesz
adapterized

Revision 1.15  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/04/17 12:17:56  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/28 19:11:32  mis
- updated (by autoup) to 1.04

Revision 1.10  2001/01/26 02:20:39  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/08/10 22:01:29  kloczek
- updated to 1.03.

Revision 1.8  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:31  pius
- updated to 1.01

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
